Bug 45540 - devel/pear: fix packages building (noticed on Bento)
Summary: devel/pear: fix packages building (noticed on Bento)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-20 21:20 UTC by Thierry Thomas
Modified: 2002-11-20 22:29 UTC (History)
0 users

See Also:


Attachments
file.diff (365 bytes, patch)
2002-11-20 21:20 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas 2002-11-20 21:20:08 UTC
	Please see Message-ID <200211190020.gAJ0KeUM032003@repoman.freebsd.org>
	and next-in-thread articles.
	(<URL:http://www.freebsd.org/cgi/getmsg.cgi?fetch=666325+0+current/cvs-all>)

Fix: 1) Reverse the last commit on devel/pear:


2) Apply the following patch to devel/pear-PEAR:




(credits: SADA Kenji <sada@BSDclub.org>)--q2nqxrjuDUCIHOKFsWYfzjawPLs0zuOJ0wkd7FUidqqxSfYI
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- devel/pear/Makefile	Tue Nov 19 01:20:39 2002
+++ devel/pear/Makefile.orig	Sun Nov 17 06:03:52 2002
@@ -2,7 +2,7 @@
 # Date created:			  Sat Nov 10, 2001
 # Whom:				  Thierry Thomas (<thierry@pompo.net>)
 #
-# $FreeBSD: ports/devel/pear/Makefile,v 1.7 2002/11/19 00:20:39 edwin Exp $
+# $FreeBSD: ports/devel/pear/Makefile,v 1.6 2002/11/17 05:03:52 sada Exp $
 #
 
 PORTNAME=	pear
@@ -15,7 +15,7 @@
 MAINTAINER=	thierry@pompo.net
 
 BUILD_DEPENDS=	${LOCALBASE}/bin/php-config:${PORTSDIR}/www/mod_php4
-RUN_DEPENDS=	${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear-PEAR	\
+RUN_DEPENDS=	${PEARDIR}/PEAR.php.dist:${PORTSDIR}/devel/pear-PEAR	\
 		${PEARDIR}/Console/Getopt.php.dist:${PORTSDIR}/devel/pear-Console_Getopt	\
 		${PEARDIR}/File.php:${PORTSDIR}/sysutils/pear-File	\
 		${PEARDIR}/Log.php:${PORTSDIR}/sysutils/pear-Log	\
How-To-Repeat: 	make package for devel/pear and devel/pear-PEAR.
Comment 1 Edwin Groothuis freebsd_committer 2002-11-20 22:29:07 UTC
State Changed
From-To: open->closed

Commited, tnanks!